Bug 488459 - S-c-tools cleanup: dialogs centered on screen/main application window
S-c-tools cleanup: dialogs centered on screen/main application window
Status: NEW
Product: Fedora
Classification: Fedora
Component: system-config-bind (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
: FutureFeature
Depends On: 488460
Blocks: 488457
  Show dependency treegraph
 
Reported: 2009-03-04 08:24 EST by Jaroslav Reznik
Modified: 2016-11-30 19:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch that centers dialog to the main window (625 bytes, patch)
2009-08-12 06:58 EDT, Radek Novacek
no flags Details | Diff

  None (edit)
Description Jaroslav Reznik 2009-03-04 08:24:29 EST
Description of problem:
Child dialogs should be centered on parent window, not on screen/main application window.

How reproducible: 
some dialogs are centered on main application

Steps to Reproduce:
1. invoke some dialog (for example About dialog)
2. check dialog centering

Actual results:
Dialogs centered on screen/main application window.

Expected results:
Dialogs centered on parent window.

Additional info:
This bug report is part of "System Configuration Tools Cleanup Project". Don't hesitate to ask project maintainers for any kind of help.
Comment 1 Radek Novacek 2009-08-12 06:58:42 EDT
Created attachment 357155 [details]
Proposed patch that centers dialog to the main window

I found only one dialog that wasn't centered - EditDialog. This patch fixed it. If there is any dialogs that is not centered, please let me know and I'll make next patch...

Note You need to log in before you can comment on or make changes to this bug.